FreeBSD : gd -- integer overflow (62239968-2f2a-11d9-a9e7-0001020eed82)

Critical Nessus Plugin ID 37225

New! Vulnerability Priority Rating (VPR)

Tenable calculates a dynamic VPR for every vulnerability. VPR combines vulnerability information with threat intelligence and machine learning algorithms to predict which vulnerabilities are most likely to be exploited in attacks. Read more about what VPR is and how it's different from CVSS.

VPR Score: 6.7

Synopsis

The remote FreeBSD host is missing one or more security-related updates.

Description

infamous41md reports about the GD Graphics Library :

There is an integer overflow when allocating memory in the routine that handles loading PNG image files. This later leads to heap data structures being overwritten. If an attacker tricked a user into loading a malicious PNG image, they could leverage this into executing arbitrary code in the context of the user opening image.

Solution

Update the affected packages.

See Also

https://marc.info/?l=bugtraq&m=109882489302099

https://boutell.com/gd/manual2.0.29.html#whatsnew2.0.29

http://www.nessus.org/u?18f1bd7f

Plugin Details

Severity: Critical

ID: 37225

File Name: freebsd_pkg_622399682f2a11d9a9e70001020eed82.nasl

Version: 1.19

Type: local

Published: 2009/04/23

Updated: 2021/01/06

Dependencies: 12634

Risk Information

Risk Factor: Critical

VPR Score: 6.7

CVSS v2.0

Base Score: 10

Temporal Score: 8.7

Vector: CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:ND/RL:OF/RC:ND

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:gd, p-cpe:/a:freebsd:freebsd:ja-gd, p-cpe:/a:freebsd:freebsd:uk-gd, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2004/11/05

Vulnerability Publication Date: 2004/10/26

Reference Information

CVE: CVE-2004-0990

BID: 11523